hpp-corbaserver: ConnectedComponentSeq_var Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Friends | List of all members
ConnectedComponentSeq_var Class Reference

`#include <hpp/core_idl/path_planners-idl.hh>`

## Public Member Functions
| ConnectedComponentSeq_var ()
| ConnectedComponentSeq_var (ConnectedComponentSeq *_s)
| ConnectedComponentSeq_var (const ConnectedComponentSeq_var &_s)
| ~ConnectedComponentSeq_var ()
ConnectedComponentSeq_var & | operator= (ConnectedComponentSeq *_s)
ConnectedComponentSeq_var & | operator= (const ConnectedComponentSeq_var &_s)
_CORBA_ObjRef_Element< _objref_ConnectedComponent, ConnectedComponent_Helper > | operator[] (_CORBA_ULong _s)
ConnectedComponentSeq * | operator-> ()
const ConnectedComponentSeq * | operator-> () const
| operator const ConnectedComponentSeq & () const
| operator ConnectedComponentSeq & ()
const ConnectedComponentSeq & | in () const
ConnectedComponentSeq & | inout ()
ConnectedComponentSeq *& | out ()
ConnectedComponentSeq * | _retn ()

## Friends
class | ConnectedComponentSeq_out

## Constructor & Destructor Documentation

## ◆ ConnectedComponentSeq_var() [1/3]

ConnectedComponentSeq_var::ConnectedComponentSeq_var | ( |  | ) |
| inline

## ◆ ConnectedComponentSeq_var() [2/3]

ConnectedComponentSeq_var::ConnectedComponentSeq_var | ( | ConnectedComponentSeq * | _s | ) |
| inline

## ◆ ConnectedComponentSeq_var() [3/3]

ConnectedComponentSeq_var::ConnectedComponentSeq_var | ( | const ConnectedComponentSeq_var & | _s | ) |
| inline

## ◆ ~ConnectedComponentSeq_var()

ConnectedComponentSeq_var::~ConnectedComponentSeq_var | ( |  | ) |
| inline

## Member Function Documentation

## ◆ _retn()

ConnectedComponentSeq* ConnectedComponentSeq_var::_retn | ( |  | ) |
| inline

## ◆ in()

const ConnectedComponentSeq& ConnectedComponentSeq_var::in | ( |  | ) | const
| inline

## ◆ inout()

ConnectedComponentSeq& ConnectedComponentSeq_var::inout | ( |  | ) |
| inline

## ◆ operator ConnectedComponentSeq &()

ConnectedComponentSeq_var::operator ConnectedComponentSeq & | ( |  | ) |
| inline

## ◆ operator const ConnectedComponentSeq &()

ConnectedComponentSeq_var::operator const ConnectedComponentSeq & | ( |  | ) | const
| inline

## ◆ operator->() [1/2]

ConnectedComponentSeq* ConnectedComponentSeq_var::operator-> | ( |  | ) |
| inline

## ◆ operator->() [2/2]

const ConnectedComponentSeq* ConnectedComponentSeq_var::operator-> | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

ConnectedComponentSeq_var& ConnectedComponentSeq_var::operator= | ( | ConnectedComponentSeq * | _s | ) |
| inline

## ◆ operator=() [2/2]

ConnectedComponentSeq_var& ConnectedComponentSeq_var::operator= | ( | const ConnectedComponentSeq_var & | _s | ) |
| inline

## ◆ operator[]()

_CORBA_ObjRef_Element< _objref_ConnectedComponent, ConnectedComponent_Helper> ConnectedComponentSeq_var::operator[] | ( | _CORBA_ULong | _s | ) |
| inline

## ◆ out()

ConnectedComponentSeq*& ConnectedComponentSeq_var::out | ( |  | ) |
| inline

## Friends And Related Function Documentation

## ◆ ConnectedComponentSeq_out

friend class ConnectedComponentSeq_out
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_planners-idl.hh